<?php

class TextRootController extends NodeSiteController
{
    public function actionIndex(){
        /** @var $textRoot TextPage */
        $textRoot = TextPage::model()->with('i18n')->findByPk($this->getNode()->data_id);
        $this->pageName = $textRoot->i18n->page_name;
        $this->setSEOParams($textRoot->i18n->title, $textRoot->i18n->keywords, $textRoot->i18n->description);
        $this->setContacts(explode(',', $textRoot->contacts_data));

        $this->headerGalleryId = $textRoot->header_gallery_id;

        $this->render('index', array(
            'content' => $textRoot->i18n->content,
        ));
    }
}
